Bug 859572 - [abrt] irqbalance-1.0.3-6.fc17: for_each_irq: Process /usr/sbin/irqbalance was killed by signal 11 (SIGSEGV)
[abrt] irqbalance-1.0.3-6.fc17: for_each_irq: Process /usr/sbin/irqbalance wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: irqbalance (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Holasek
Fedora Extras Quality Assurance
abrt_hash:72127cec16fb3d883672a9e1693...
: Reopened
: 860410 862926 866861 879917 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 20:30 EDT by Ted Henscheid
Modified: 2016-10-04 00:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (146.00 KB, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: environ (139 bytes, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: backtrace (264.51 KB, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: cgroup (166 bytes, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: maps (2.24 KB, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: dso_list (706 bytes, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: open_fds (87 bytes, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
File: var_log_messages (568 bytes, text/plain)
2012-09-21 20:30 EDT, Ted Henscheid
no flags Details
Debug info from irqbalance (26.83 KB, text/plain)
2013-05-10 14:02 EDT, Joe Zeff
no flags Details

  None (edit)
Description Ted Henscheid 2012-09-21 20:30:09 EDT
Version-Release number of selected component:
irqbalance-1.0.3-6.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/sbin/irqbalance
crash_function: for_each_irq
kernel:         3.5.3-1.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 for_each_irq at classify.c
: #1 clear_obj_stats at cputree.c
: #2 for_each_object at irqbalance.h
: #3 clear_obj_stats at cputree.c
: #4 for_each_object at irqbalance.h
: #5 clear_obj_stats at cputree.c
: #6 for_each_object at irqbalance.h
: #7 clear_obj_stats at cputree.c
: #8 for_each_object at irqbalance.h
: #9 clear_obj_stats at cputree.c
Comment 1 Ted Henscheid 2012-09-21 20:30:19 EDT
Created attachment 615644 [details]
File: core_backtrace
Comment 2 Ted Henscheid 2012-09-21 20:30:21 EDT
Created attachment 615645 [details]
File: environ
Comment 3 Ted Henscheid 2012-09-21 20:30:23 EDT
Created attachment 615646 [details]
File: limits
Comment 4 Ted Henscheid 2012-09-21 20:30:36 EDT
Created attachment 615647 [details]
File: backtrace
Comment 5 Ted Henscheid 2012-09-21 20:30:38 EDT
Created attachment 615648 [details]
File: cgroup
Comment 6 Ted Henscheid 2012-09-21 20:30:41 EDT
Created attachment 615649 [details]
File: maps
Comment 7 Ted Henscheid 2012-09-21 20:30:45 EDT
Created attachment 615650 [details]
File: dso_list
Comment 8 Ted Henscheid 2012-09-21 20:30:48 EDT
Created attachment 615651 [details]
File: open_fds
Comment 9 Ted Henscheid 2012-09-21 20:30:51 EDT
Created attachment 615652 [details]
File: var_log_messages
Comment 10 Petr Holasek 2013-01-21 11:56:57 EST
*** Bug 860410 has been marked as a duplicate of this bug. ***
Comment 11 Petr Holasek 2013-01-21 11:57:03 EST
*** Bug 866861 has been marked as a duplicate of this bug. ***
Comment 12 Petr Holasek 2013-01-21 11:57:10 EST
*** Bug 862926 has been marked as a duplicate of this bug. ***
Comment 13 Petr Holasek 2013-01-21 11:57:17 EST
*** Bug 879917 has been marked as a duplicate of this bug. ***
Comment 14 Neil Horman 2013-03-02 15:07:16 EST
believe this is fixed by upstream commit 11277c20cf15e1782b9c53538a6f728060ac814c
Comment 15 Fedora Update System 2013-03-05 08:08:26 EST
irqbalance-1.0.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/irqbalance-1.0.3-7.fc17
Comment 16 Fedora Update System 2013-03-05 18:25:39 EST
Package irqbalance-1.0.3-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing irqbalance-1.0.3-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3449/irqbalance-1.0.3-7.fc17
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-03-13 22:50:29 EDT
irqbalance-1.0.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Joe Zeff 2013-04-25 18:40:05 EDT
I just had abrt report this.  However, I don't seem to have any clear way to get at the details.  If it helps, I'm running Fedora 17 PAE, fully updated.
Comment 19 Neil Horman 2013-04-26 07:37:44 EDT
Abrt should be able to export all the report data you see attached here from the crash you encountered.  Please use that to open a new bug.
Comment 20 Joe Zeff 2013-04-26 15:39:08 EDT
Abrt simply tells me that this was reported as bug 860410 and refuses to do anything else.  However, I also have this from the ABRT Server, which might be what you want: https://retrace.fedoraproject.org/faf/reports/7239/

If you need more info, please point me to instructions on getting what's needed out of abrt.  I understand that you want as much data to go on as possible, I just don't know how to get it to you.  (I haven't deleted the report from abrt and won't until I'm sure it's not going to be needed.)
Comment 21 Joe Zeff 2013-05-09 16:35:27 EDT
This just happened again, and abrt reports that I'm using irqbalance-1.0.3-7.fc17, so it doesn't look like it's been fixed.  And, if it matters, it's also still pointing to the same report at retrace.fedoraproject.org.  If there's a way to force abrt to open a new bug, or export the data you need, feel free to email me privately with instructions.
Comment 22 Neil Horman 2013-05-10 09:28:05 EDT
hmm, very strange.  Looking again at your stack traces it appears that you got caught in an infinite loop of numa nodes.  For the life of me I cannot see how that happens.  Can you stop the irqbalance service, and run this command manually:

irqbalance --debug

and capture the output to a file?  That may give us some insight on how your topology is getting corrupted.
Comment 23 Joe Zeff 2013-05-10 14:00:35 EDT
OK, that I can do.  You didn't say how long, so I gave it about ten minutes or so.  BTW, shouldn't somebody re-open this bug?
Comment 24 Joe Zeff 2013-05-10 14:02:04 EDT
Created attachment 746297 [details]
Debug info from irqbalance
Comment 25 Neil Horman 2013-05-10 14:16:38 EDT
Petr, can you please take another look at this.  From the debug output, it appears that the system is not numa capable, but irqbalance should handle that just fine.
Comment 26 Petr Holasek 2013-05-27 13:30:25 EDT
Hi Joe and Neil,

apologize for delay, I'll take care about it.

Petr H
Comment 27 Petr Holasek 2013-06-18 09:46:15 EDT
Hi Joe,

could you send me an output of "tree /sys/devices/system/node/" in case this directory exists on your system?

Thank you!

Petr H
Comment 28 Joe Zeff 2013-06-18 14:42:50 EDT
Done:

[joe@khorlia Desktop]$ tree /sys/devices/system/node
/sys/devices/system/node [error opening dir]

0 directories, 0 files
[joe@khorlia Desktop]$
Comment 29 Fedora End Of Life 2013-07-04 02:25:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 30 Fedora End Of Life 2013-08-01 13:59:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.